Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000836Frama-CPlug-in > Evapublic2011-05-25 09:032011-05-25 09:58
Reportersenema 
Assigned Topascal 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Carbon-20110201 
Summary0000836: Unexpected error (File "cil/ocamlutil/cilutil.ml", line 918, characters 10-16: Assertion failed).
DescriptionSeen on Linux i686

[kernel] The full backtrace is:
         Called from file "src/value/eval.ml", line 3869, characters 6-16
         Called from file "list.ml", line 57, characters 20-23
         Called from file "src/value/eval.ml", line 3838, characters 7-1023
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5305, characters 5-60
         Called from file "src/value/eval.ml", line 3891, characters 2-105
         Called from file "src/value/eval.ml", line 3909, characters 7-93
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5305, characters 5-60
         Called from file "src/value/eval.ml", line 3891, characters 2-105
         Called from file "src/value/eval.ml", line 3909, characters 7-93
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5305, characters 5-60
         Called from file "src/value/eval.ml", line 3891, characters 2-105
         Called from file "src/value/eval.ml", line 3909, characters 7-93
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5305, characters 5-60
         Called from file "src/value/eval.ml", line 3891, characters 2-105
         Called from file "src/value/eval.ml", line 3909, characters 7-93
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5305, characters 5-60
         Called from file "src/value/eval.ml", line 3891, characters 2-105
         Called from file "src/value/eval.ml", line 3909, characters 7-93
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5305, characters 5-60
         Called from file "src/value/eval.ml", line 3891, characters 2-105
         Called from file "src/value/eval.ml", line 3909, characters 7-93
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5305, characters 5-60
         Called from file "src/value/eval.ml", line 3891, characters 2-105
         Called from file "src/value/eval.ml", line 3909, characters 7-93
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5305, characters 5-60
         Called from file "src/value/eval.ml", line 3891, characters 2-105
         Called from file "src/value/eval.ml", line 3909, characters 7-93
         Called from file "list.ml", line 74, characters 24-34
         Called from file "src/value/eval.ml", line 4081, characters 7-62
         Called from file "cil/src/ext/dataflow.ml", line 274, characters 27-46
         Called from file "cil/src/ext/dataflow.ml", line 287, characters 16-40
         Called from file "cil/src/ext/dataflow.ml", line 402, characters 8-21
         Called from file "cil/src/ext/dataflow.ml", line 406, characters 9-22
         Called from file "src/value/eval.ml", line 4672, characters 14-37
         Called from file "src/value/eval.ml", line 5136, characters 4-67
         Called from file "src/value/eval.ml", line 5391, characters 11-44
         Re-raised at file "src/value/eval.ml", line 5407, characters 47-50
         Called from file "src/project/state_builder.ml", line 1025, characters 2-6
         Re-raised at file "src/project/state_builder.ml", line 1029, characters 8-11
         Called from file "src/value/register.ml", line 59, characters 4-24
         Called from file "queue.ml", line 134, characters 6-20
         Called from file "src/kernel/boot.ml", line 36, characters 4-20
         Called from file "src/kernel/cmdline.ml", line 713, characters 2-9
         Called from file "src/kernel/cmdline.ml", line 195, characters 4-8
         
         Unexpected error (File "cil/ocamlutil/cilutil.ml", line 918, characters 10-16: Assertion failed).
         Please report as 'crash' at http://bts.frama-c.com/ [^]
         Note that a backtrace alone often does not have information to
         understand the bug. Guidelines for reporting bugs are at:
         http://bts.frama-c.com/dokuwiki/doku.php?id=mantis:frama-c:bug_reporting_guidelines [^]
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0000715closedpascal crash bug in r11859 

-  Notes
(0001926)
pascal (reporter)
2011-05-25 09:34

You do not provide a reduced test case to reproduce the behavior. You should.
Without this, I can only assume that this is a bug that is already fixed by the patch at:
http://lists.gforge.inria.fr/pipermail/frama-c-discuss/2011-February/002527.html [^]

Specifically:
-* Value [2011/02/12] Fixed crash when passing invalid argument to
          function, found by John Regehr using random testing (jrrt)
(0001927)
signoles (manager)
2011-05-25 09:58

Use the Pascal's patch : http://lists.gforge.inria.fr/pipermail/frama-c-discuss/2011-February/002527.html. [^]

- Issue History
Date Modified Username Field Change
2011-05-25 09:03 senema New Issue
2011-05-25 09:03 senema Status new => assigned
2011-05-25 09:03 senema Assigned To => pascal
2011-05-25 09:34 pascal Note Added: 0001926
2011-05-25 09:34 pascal Relationship added duplicate of 0000715
2011-05-25 09:36 pascal Status assigned => resolved
2011-05-25 09:36 pascal Resolution open => fixed
2011-05-25 09:58 signoles Note Added: 0001927
2011-05-25 09:58 signoles Status resolved => closed
2011-05-25 09:58 signoles Fixed in Version => Frama-C Carbon-20110201
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker